import 'package:flutter/material.dart';
import 'package:font_awesome_flutter/font_awesome_flutter.dart';
import 'package:senior_design_system/senior_design_system.dart';

class MenuListItemExample extends StatefulWidget {
  const MenuListItemExample({Key? key}) : super(key: key);

  @override
  _MenuListItemExampleState createState() => _MenuListItemExampleState();
}

class _MenuListItemExampleState extends State<MenuListItemExample> {
  @override
  Widget build(BuildContext context) {
    return ListView(
      children: [
        SeniorMenuItemList(
          title: '+55 47 9 0000-0000',
          subtitle: 'Pessoal',
          iconData: FontAwesomeIcons.phoneSquareAlt,
          leftPadding: 16,
          rightPadding: 16,
        ),
        SeniorMenuItemList(
          title: '+55 47 9 0000-0000',
          subtitle: 'Profissional',
          iconData: FontAwesomeIcons.phoneSquareAlt,
        ),
        SeniorMenuItemList(
          title: '+55 47 9 0000-0000',
          subtitle: 'Outro',
        ),
        SeniorMenuItemList(
          title: 'nome.colaborador@pessoal.com.br',
          subtitle: 'Pessoal',
          iconData: FontAwesomeIcons.solidEnvelope,
        ),
        SeniorMenuItemList(
          title: 'nome.colaborador@empresa.com.br',
          subtitle: 'Profissional',
          iconData: FontAwesomeIcons.solidEnvelope,
        ),
        SeniorMenuItemList(
          title: 'Resumo profissional',
          iconData: FontAwesomeIcons.solidUser,
          onTap: () {},
        ),
        SeniorMenuItemList(
          title:
              'Contatos de emergência com texto grande para ver se vai quebrar',
          iconData: FontAwesomeIcons.solidUser,
          onTap: () {},
          enabled: true,
          leftPadding: 16,
          rightPadding: 16,
        ),
        SeniorMenuItemList(
          title: 'Documentos pessoais',
          iconData: FontAwesomeIcons.solidUser,
          onTap: () {},
          enabled: false,
        ),
      ],
    );
  }
}
