import 'package:flutter/material.dart';
import 'package:senior_design_system/senior_design_system.dart';

class ProfilePictureExample extends StatefulWidget {
  const ProfilePictureExample({Key? key}) : super(key: key);

  @override
  _ProfilePictureExampleState createState() => _ProfilePictureExampleState();
}

class _ProfilePictureExampleState extends State<ProfilePictureExample> {
  @override
  Widget build(BuildContext context) {
    return Container(
      child: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        children: [
          SeniorProfilePicture(
            radius: 45 / 2,
            employeeName: 'Gustavo Biolado Senci',
          ),
          SizedBox(
            height: 30,
          ),
          SeniorProfilePicture(
            radius: 45 / 2,
            employeeName: 'Gustavo Senci',
            imageProvider: NetworkImage(
              'https://tecnoblog.net/wp-content/uploads/2019/12/facebook-mark-zuckerberg-f8-2018-1.jpg',
            ),
          ),
        ],
      ),
    );
  }
}
