# SeniorBottonNavigationBarItem class

Classe que representa as opções de um widget SeniorBottomNavigationBar.

# Construtores

* SeniorBottomNavigationBarItem({
    required IconData icon,
    IconData? activeIcon,
    required String label,
}) ... __const__

# Propriedades

| Property   | Type     | Description                                                        | Required | Default |
| ---------- | -------- | ------------------------------------------------------------------ | -------- | ------- |
| icon       | IconData | Define um ícone para a opção.                                      | Sim      |         |
| activeIcon | IconData | Define um ícone para ser apresentado quando a opção estiver ativa. | Não      |         |
| label      | String   | Texto de identificação para a opção.                               | Sim      |         |

# Código

```dart
SeniorBottomNavigationBarItem(
    icon: FontAwesomeIcons.user,
    label: 'Perfil',
    activeIcon: FontAwesomeIcons.userAlt,
),
```